%define name	OmegaT
%define namer	omegat
%define version 1.7.3
%define release  %mkrel 1%{?dist}

Name:		%{name}
Summary:	Computer Aid Translation tool

Version:	%{version}
Release:	%{release}
Source:		%{name}_%{version}_Without_JRE.zip
Source1:	%{name}.png
Url:		http://www.omegat.org/
Group:		Applications/Office
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	jre
License:	GPL

%description
OmegaT is a free translation memory application written in Java.
It is a tool intended for professional translators. It does not
translate for you!

OmegaT has the following features:

    * Fuzzy matching
    * Match propagation
    * Simultaneous processing of multiple-file projects
    * Simultaneous use of multiple translation memories
    * External glossaries
    * Document file formats:
      XHTML and HTML
      Microsoft Office 2007 XML
      OpenOffice.org/StarOffice
      XLIFF (Okapi)
      MediaWiki (Wikipedia)
      Plain text
    * Unicode (UTF-8) support: can be used with non-Latin alphabets
    * Support for right-to-left languages
    * Compatible with other translation memory applications (TMX)

%prep
%setup -q -c -n %{name}-%{version}

%build

#make some install dirs
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{namer}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{namer}/docs
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{namer}/images
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{namer}/libs
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}

#install our jar file
install -m  0755 OmegaT.jar $RPM_BUILD_ROOT%{_datadir}/%{namer}/OmegaT.jar
cp -R * $RPM_BUILD_ROOT%{_datadir}/%{namer}/
install %SOURCE1 $RPM_BUILD_ROOT/%{_iconsdir}/%{namer}.png

#create our launch wrapper script
cat > $RPM_BUILD_ROOT%{_bindir}/%{namer} <<EOF
#!/bin/sh
java -jar %{_datadir}/%{namer}/OmegaT.jar

EOF

#make our launch wrapper executable
chmod +x $RPM_BUILD_ROOT%{_bindir}/*

#Menu entry
install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{namer}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=%name
Exec=%{namer}
Icon=%{namer}.png
Comment=Computer Aid Translation tool
Comment[es]=Herramienta de asistencia a la traducción
Terminal=false
Type=Application
X-Desktop-File-Install-Version=0.10
Categories=Application;Office;Java;X-MandrivaLinux-Office-Accessories;
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%if "%{_vendor}" != "redhat" &&  "%{_vendor}" != "fedora"
%{update_desktop_database}
%endif

%postun
%if "%{_vendor}" != "redhat" &&  "%{_vendor}" != "fedora"
%{clean_desktop_database}
%endif

%files
%defattr(-,root,root,0755)
%dir %{_datadir}/%{namer}
%{_bindir}/*
%{_datadir}/%{namer}/*
%{_datadir}/applications/%{namer}.desktop
%{_iconsdir}/%{namer}.png

%changelog
* Wed Jan 9 2008 Ismael Olea <ismael@olea.org> 1.7.3 1olea
- updating to 1.7.3

* Wed Jan 9 2008 Ismael Olea <ismael@olea.org> 1.7.2	1olea
- compiling on Fedora

* Fri Nov 12 2007 Patred Theknight <edupclos@gmail.com>1.7.2-1pclos_edulos
- Initial Build 
